<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): OptArgvIter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_opt_argv_iter.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_opt_argv_iter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OptArgvIter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="options_8h_source.html">options.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for OptArgvIter:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_opt_argv_iter.png" usemap="#OptArgvIter_map" alt=""/>
  <map id="OptArgvIter_map" name="OptArgvIter_map">
<area href="class_opt_iter_rwd.html" alt="OptIterRwd" shape="rect" coords="0,56,78,80"/>
<area href="class_opt_iter.html" alt="OptIter" shape="rect" coords="0,0,78,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4214d4e0e81ab511d84944fc1aa8b2d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4214d4e0e81ab511d84944fc1aa8b2d9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>OptArgvIter</b> (const char *const argv[])</td></tr>
<tr class="separator:a4214d4e0e81ab511d84944fc1aa8b2d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a514745995e159cd7057ec32a8d907ede"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a514745995e159cd7057ec32a8d907ede"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>OptArgvIter</b> (int argc, const char *const argv[])</td></tr>
<tr class="separator:a514745995e159cd7057ec32a8d907ede"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70d15a4bae80ed858537090aec78260e"><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_argv_iter.html#a70d15a4bae80ed858537090aec78260e">curr</a> (void)</td></tr>
<tr class="separator:a70d15a4bae80ed858537090aec78260e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dde24972ceff7f80bee84d43f6c264f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8dde24972ceff7f80bee84d43f6c264f"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_argv_iter.html#a8dde24972ceff7f80bee84d43f6c264f">next</a> (void)</td></tr>
<tr class="memdesc:a8dde24972ceff7f80bee84d43f6c264f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_opt_argv_iter.html#a8dde24972ceff7f80bee84d43f6c264f" title="next() advances to the next item. ">next()</a> advances to the next item. <br /></td></tr>
<tr class="separator:a8dde24972ceff7f80bee84d43f6c264f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99914f7a15d154f4aab85229142ca8de"><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_argv_iter.html#a99914f7a15d154f4aab85229142ca8de">operator()</a> (void)</td></tr>
<tr class="separator:a99914f7a15d154f4aab85229142ca8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f69963903b9fda8fabfc27a442391ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f69963903b9fda8fabfc27a442391ea"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_argv_iter.html#a6f69963903b9fda8fabfc27a442391ea">rewind</a> (void)</td></tr>
<tr class="memdesc:a6f69963903b9fda8fabfc27a442391ea"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_opt_argv_iter.html#a6f69963903b9fda8fabfc27a442391ea" title="rewind() resets the &quot;current-element&quot; to the first one in the &quot;list&quot; ">rewind()</a> resets the "current-element" to the first one in the "list" <br /></td></tr>
<tr class="separator:a6f69963903b9fda8fabfc27a442391ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa92e7a667671e2dd77330142cbd9bf88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa92e7a667671e2dd77330142cbd9bf88"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_opt_argv_iter.html#aa92e7a667671e2dd77330142cbd9bf88">index</a> (void)</td></tr>
<tr class="memdesc:aa92e7a667671e2dd77330142cbd9bf88"><td class="mdescLeft">&#160;</td><td class="mdescRight">index returns the current index to use for argv[] <br /></td></tr>
<tr class="separator:aa92e7a667671e2dd77330142cbd9bf88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to iterate through an array of tokens. The array may be terminated by NULL or a count containing the number of tokens may be given. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a70d15a4bae80ed858537090aec78260e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * OptArgvIter::curr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="class_opt_argv_iter.html#a70d15a4bae80ed858537090aec78260e">curr()</a> returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned. </p>

<p>Implements <a class="el" href="class_opt_iter_rwd.html#a423096b4a0a327ba3d8b35affba27194">OptIterRwd</a>.</p>

</div>
</div>
<a class="anchor" id="a99914f7a15d154f4aab85229142ca8de"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * OptArgvIter::operator() </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned. </p>

<p>Implements <a class="el" href="class_opt_iter_rwd.html#a96cea8a611e7ebe97ac98efb9e6cd612">OptIterRwd</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="options_8h_source.html">options.h</a></li>
<li>options.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
